Subject: Re: What's cooking in git.git (Sep 2021, #08; Mon, 27)

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Sep 2021 13:52:00 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/http-pinned-public-key-mismatch (2021-09-27) 1 commit
>>  - http: check CURLE_SSL_PINNEDPUBKEYNOTMATCH when emitting errors
>>
>>  HTTPS error handling updates.
>>
>>  Will merge to 'next'?
>
> I'd like it merged. I think a fair summary of Jeff King's
> https://lore.kernel.org/git/[email-masked]/ is
> "meh" though :)

Mine is also "I do not mind seeing it in or out."

>> * ab/pack-objects-stdin (2021-07-09) 5 commits
>>  - pack-objects.c: make use of REV_INFO_STDIN_LINE_PROCESS
>>  - pack-objects.c: do stdin parsing via revision.c's API
>>  - revision.[ch]: add a "handle_stdin_line" API
>>  - revision.h: refactor "disable_stdin" and "read_from_stdin"
>>  - upload-pack: run is_repository_shallow() before setup_revisions()
>>
>>  Introduce handle_stdin_line callback to revision API and uses it.
>>
>>  Expecting a reroll.
>
> I said I'd re-roll this into the larger "git bundle --stdin" topic I had
> in mind, but when doing so found one memory leak, which I really wanted
> the SANITIZE=leak interface to fix.
>
> I think it's best to eject/discard this given the amount of other
> outstanding stuff I've got. I don't really *need* this for anything
> else, I'll loop back to it sometime after the SANITIZE=leak testing has
> landed.

OK, will mark as "Retracted for now".

>> * ab/fsck-unexpected-type (2021-09-22) 17 commits
>> [...]
>>  "git fsck" has been taught to report mismatch between expected and
>>  actual types of an object better.
>>
>>  Needs review.
>
> The "needs review" note here pre-dates v6, which got a thorough review,
> and Taylor seemed happy with the v7, aside from a minor issue I just
> re-rolled v8 with a fix for:
>
> https://lore.kernel.org/git/[email-masked]/

Thanks.